Subject: bug#10305: coreutils-8.14, "rm -r" fails with EBADF

From: "Joachim Schmitz" <[email-masked]>
Date: Fri, 20 Jul 2012 15:52:09 +0200

> From: Jim Meyering [mailto:[email-masked]]
> Sent: Friday, July 20, 2012 3:48 PM
> To: Joachim Schmitz
> Cc: 'Paul Eggert'; [email-masked]; [email-masked]; 'Eric
Blake';
> 'Schmitz, Joachim'; [email-masked]
> Subject: Re: bug#10305: coreutils-8.14, "rm -r" fails with EBADF
> 
> Joachim Schmitz wrote:
> ...
> > I just saw that my patch removed 2 functions more than your's, mine
> > also removes cache_stat_ok() and is_nondir_lstat().
> > Intention? Used where?
> 
> Hah!  I should have temporarily defined-away "inline" to be sure I'd
removed
> all of them -- then gcc warns about each defined-but-not-used function.
I've
> just done that.  Those two in remove.c are the only ones in src/.
> 
> As penance, I'll do this one for you, too.

;-) Thanks!

Is anyone looking into my other patches too?